How to start

Hi,

I am a new user to OpenCASCADE. I need your help in doing the following.

I want to create a B-spline surface with a user interface that will ask the user to give all the control points and other information pertaining to the surface. It looks like to be a simple problem. How should I go about it? I do not have much time to do it and I am beginner to GUI and other things. I have already installed OpenCASCADE in my computer but I have no clue form where to start. For example, what will I do to execute the code that is given in the tutorial, e.g.

#include

#include

TopoDS_Shape
MakeBottle(const Standard_Real myWidth , const Standard_Real myHeight , const Standard_Real myThickness)
{
//Profile : Define Support Points
gp_Pnt aPnt1(-myWidth / 2. , 0 , 0);
gp_Pnt aPnt2(-myWidth / 2. , -myThickness / 4. , 0);
gp_Pnt aPnt3(0 , -myThickness / 2. , 0);
gp_Pnt aPnt4(myWidth / 2. , -myThickness / 4. , 0);
gp_Pnt aPnt5(myWidth / 2. , 0 , 0);

return TopoDS_Shape();
}

I would really appreciate your help in getting my project started..

Regards,
Akhilesh

m-aronsson's picture

Hi !

What OS are you using and what GUI are you going to use ? (Win32, MFC, Qt, Fltk...) ?

Have a look at one of the samples source code, it is pretty easy to figure out how they work.

Mikael

MCV's picture

Swithch to your examples-folder (qt - linux)

you just write: make, and it will be compiled.
You write your personal code into MakeBottle.cxx (this lies in the folder src/)

Do not forget:
#include
#include